Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 453964 - app-eselect/eselect-lcdfilter fails to remove symlink /etc/env.d/99lcdfilter@ upon removal.
Summary: app-eselect/eselect-lcdfilter fails to remove symlink /etc/env.d/99lcdfilter@...
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal trivial with 2 votes (vote)
Assignee: Gentoo Fonts Team
URL:
Whiteboard:
Keywords: PMASKED
Depends on:
Blocks:
 
Reported: 2013-01-25 11:14 UTC by Ray Griffin (rorgoroth)
Modified: 2021-04-25 22:47 UTC (History)
8 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ray Griffin (rorgoroth) 2013-01-25 11:14:20 UTC
After disabling the infinality flag on freetype and depcleaning, the symlink /etc/env.d/99lcdfilter is left behind (pointing to a non-existent file), causing a warning output of most emerge tasks about missing file:
!!! File Not Found: '/etc/env.d/99lcdfilter'

In context:
--------------------------------------------------------------------------------------
--- replaced obj /etc/dispatch-conf.conf
--- replaced dir /etc
<<<          dir /usr/share/doc/portage-2.2.0_alpha160
!!! File Not Found: '/etc/env.d/99lcdfilter'
>>> Original instance of package unmerged safely.
 * Compilation and optimization of Python modules placed outside of site-packages directories for CPython 3.2 ...                                                                                                                                                         [ ok ]
>>> sys-apps/portage-2.2.0_alpha161 merged.
!!! File Not Found: '/etc/env.d/99lcdfilter'
>>> Auto-cleaning packages...
--------------------------------------------------------------------------------------

The file must be removed manually atm.

Reproducible: Always
Comment 1 Lara Maia 2014-05-23 16:27:02 UTC
I have the same problem here after disable infinality.
Comment 2 emarsk 2014-07-25 10:34:56 UTC
As suggested here: https://forums.gentoo.org/viewtopic-p-7589330.html , app-admin/eselect-lcdfilter could create a dummy symlink:
/etc/env.d/99lcdfilter -> /dev/null
so it gets registered during the merging phase.
This way, unmerging would remove the link.
Comment 3 emarsk 2014-07-25 10:37:22 UTC
BTW, how is the status for this trivial bug still "unconfirmed"?
Comment 4 Dainius Masiliūnas 2015-07-17 15:43:16 UTC
I can also confirm this.
Comment 5 jospezial 2016-09-16 21:03:01 UTC
I stumbled right into this bug. Confirming.
Comment 6 Hadrien Lacour 2017-09-03 19:25:42 UTC
Another victim here. I guess this is safe to remove it manually?
Comment 7 Larry the Git Cow gentoo-dev 2021-04-25 22:46:33 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f55d8b22a07cdfb977d1a3446b7aa3e16696f6af

commit f55d8b22a07cdfb977d1a3446b7aa3e16696f6af
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2021-04-25 22:43:40 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2021-04-25 22:46:21 +0000

    app-eselect/eselect-lcdfilter: Remove last-rited package
    
    Bug: https://bugs.gentoo.org/453964
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 app-eselect/eselect-lcdfilter/Manifest             |  1 -
 .../eselect-lcdfilter/eselect-lcdfilter-2.ebuild   | 34 ----------------------
 app-eselect/eselect-lcdfilter/metadata.xml         | 12 --------
 profiles/package.mask                              |  1 -
 4 files changed, 48 deletions(-)